### Method

# Gio Mount guess_content_type_finish

since: 2.18

#### Declaration [src]

    gchar**
    g_mount_guess_content_type_finish (
      GMount* mount,
      GAsyncResult* result,
      GError** error
    )

#### Description [src]

Finishes guessing content types of `mount`. If any errors occurred during the operation, `error` will be set to contain the errors and `FALSE` will be returned. In particular, you may get an `G_IO_ERROR_NOT_SUPPORTED` if the mount does not support content guessing.

Available since: 2.18

#### Parameters

`result`

  Type: `GAsyncResult`

  A `GAsyncResult`.

  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: An array of `utf8`

A `NULL`-terminated array of content types or `NULL` on error. Caller should free this array with `g_strfreev()` when done with it.

The array is `NULL`-terminated.
The caller of the method takes ownership of the returned data, and is responsible for freeing it.
Each element is a NUL terminated UTF-8 string.